<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.12) on Sat Jul 09 19:13:26 CEST 2022 -->
<title>AbstractEntityServiceTest</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-07-09">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractEntityServiceTest";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">com.abn.recipe.recipeservice.service</a></div>
<h2 title="Class AbstractEntityServiceTest" class="title">Class AbstractEntityServiceTest</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.abn.recipe.recipeservice.service.AbstractEntityServiceTest</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="../integration/RecipeSearchIntegrationTest.html" title="class in com.abn.recipe.recipeservice.integration">RecipeSearchIntegrationTest</a></code>, <code><a href="RecipeServiceImplTest.html" title="class in com.abn.recipe.recipeservice.service">RecipeServiceImplTest</a></code>, <code><a href="../integration/RecipeServiceIntegrationTest.html" title="class in com.abn.recipe.recipeservice.integration">RecipeServiceIntegrationTest</a></code>, <code><a href="RecipeTransformerImplTest.html" title="class in com.abn.recipe.recipeservice.service">RecipeTransformerImplTest</a></code></dd>
</dl>
<hr>
<pre>public abstract class <span class="typeNameLabel">AbstractEntityServiceTest</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.Long</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#INGREDIENT_ID_1001">INGREDIENT_ID_1001</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.Long</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#INGREDIENT_ID_1002">INGREDIENT_ID_1002</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.Long</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#INGREDIENT_ID_1003">INGREDIENT_ID_1003</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.Long</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#INGREDIENT_ID_5001">INGREDIENT_ID_5001</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.Long</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#INGREDIENT_ID_5002">INGREDIENT_ID_5002</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#INGREDIENT_NAME_1001">INGREDIENT_NAME_1001</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#INGREDIENT_NAME_1002">INGREDIENT_NAME_1002</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#INGREDIENT_NAME_1003">INGREDIENT_NAME_1003</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.Long</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#RECIPE_ID_1001">RECIPE_ID_1001</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.Long</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#RECIPE_ID_1002">RECIPE_ID_1002</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.Long</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#RECIPE_ID_1003">RECIPE_ID_1003</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.Long</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#RECIPE_ID_6001">RECIPE_ID_6001</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.Long</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#RECIPE_ID_6002">RECIPE_ID_6002</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.Long</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#RECIPE_ID_6003">RECIPE_ID_6003</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#RECIPE_NAME_1001">RECIPE_NAME_1001</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#RECIPE_NAME_1002">RECIPE_NAME_1002</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#RECIPE_NAME_1003">RECIPE_NAME_1003</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">AbstractEntityServiceTest</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected <a href="../entity/Ingredients.html" title="class in com.abn.recipe.recipeservice.entity">Ingredients</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getIngredients(java.lang.Long,java.lang.String)">getIngredients</a></span>&#8203;(java.lang.Long&nbsp;id,
              java.lang.String&nbsp;name)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected <a href="../dto/IngredientsDto.html" title="class in com.abn.recipe.recipeservice.dto">IngredientsDto</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getIngredientsDto(java.lang.Long,java.lang.String)">getIngredientsDto</a></span>&#8203;(java.lang.Long&nbsp;id,
                 java.lang.String&nbsp;name)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected <a href="../entity/Recipe.html" title="class in com.abn.recipe.recipeservice.entity">Recipe</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRecipe(java.lang.Long,java.lang.String,boolean,java.lang.Long,java.util.Set,java.lang.String)">getRecipe</a></span>&#8203;(java.lang.Long&nbsp;id,
         java.lang.String&nbsp;name,
         boolean&nbsp;vegetarian,
         java.lang.Long&nbsp;servingQuantity,
         java.util.Set&lt;<a href="../entity/Ingredients.html" title="class in com.abn.recipe.recipeservice.entity">Ingredients</a>&gt;&nbsp;ingredients,
         java.lang.String&nbsp;instructions)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected <a href="../dto/RecipeDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipeDto</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRecipeDto(java.lang.Long,java.lang.String,boolean,java.lang.Long,java.util.Set,java.lang.String)">getRecipeDto</a></span>&#8203;(java.lang.Long&nbsp;id,
            java.lang.String&nbsp;name,
            boolean&nbsp;vegetarian,
            java.lang.Long&nbsp;servingQuantity,
            java.util.Set&lt;<a href="../dto/IngredientsDto.html" title="class in com.abn.recipe.recipeservice.dto">IngredientsDto</a>&gt;&nbsp;ingredients,
            java.lang.String&nbsp;instructions)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="INGREDIENT_ID_1001">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INGREDIENT_ID_1001</h4>
<pre>public static final&nbsp;java.lang.Long INGREDIENT_ID_1001</pre>
</li>
</ul>
<a id="INGREDIENT_ID_1002">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INGREDIENT_ID_1002</h4>
<pre>public static final&nbsp;java.lang.Long INGREDIENT_ID_1002</pre>
</li>
</ul>
<a id="INGREDIENT_ID_1003">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INGREDIENT_ID_1003</h4>
<pre>public static final&nbsp;java.lang.Long INGREDIENT_ID_1003</pre>
</li>
</ul>
<a id="INGREDIENT_NAME_1001">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INGREDIENT_NAME_1001</h4>
<pre>public static final&nbsp;java.lang.String INGREDIENT_NAME_1001</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#com.abn.recipe.recipeservice.service.AbstractEntityServiceTest.INGREDIENT_NAME_1001">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="INGREDIENT_NAME_1002">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INGREDIENT_NAME_1002</h4>
<pre>public static final&nbsp;java.lang.String INGREDIENT_NAME_1002</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#com.abn.recipe.recipeservice.service.AbstractEntityServiceTest.INGREDIENT_NAME_1002">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="INGREDIENT_NAME_1003">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INGREDIENT_NAME_1003</h4>
<pre>public static final&nbsp;java.lang.String INGREDIENT_NAME_1003</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#com.abn.recipe.recipeservice.service.AbstractEntityServiceTest.INGREDIENT_NAME_1003">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="RECIPE_ID_1001">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RECIPE_ID_1001</h4>
<pre>public static final&nbsp;java.lang.Long RECIPE_ID_1001</pre>
</li>
</ul>
<a id="RECIPE_ID_1002">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RECIPE_ID_1002</h4>
<pre>public static final&nbsp;java.lang.Long RECIPE_ID_1002</pre>
</li>
</ul>
<a id="RECIPE_ID_1003">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RECIPE_ID_1003</h4>
<pre>public static final&nbsp;java.lang.Long RECIPE_ID_1003</pre>
</li>
</ul>
<a id="RECIPE_NAME_1001">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RECIPE_NAME_1001</h4>
<pre>public static final&nbsp;java.lang.String RECIPE_NAME_1001</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#com.abn.recipe.recipeservice.service.AbstractEntityServiceTest.RECIPE_NAME_1001">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="RECIPE_NAME_1002">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RECIPE_NAME_1002</h4>
<pre>public static final&nbsp;java.lang.String RECIPE_NAME_1002</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#com.abn.recipe.recipeservice.service.AbstractEntityServiceTest.RECIPE_NAME_1002">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="RECIPE_NAME_1003">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RECIPE_NAME_1003</h4>
<pre>public static final&nbsp;java.lang.String RECIPE_NAME_1003</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#com.abn.recipe.recipeservice.service.AbstractEntityServiceTest.RECIPE_NAME_1003">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="INGREDIENT_ID_5001">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INGREDIENT_ID_5001</h4>
<pre>public static final&nbsp;java.lang.Long INGREDIENT_ID_5001</pre>
</li>
</ul>
<a id="INGREDIENT_ID_5002">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INGREDIENT_ID_5002</h4>
<pre>public static final&nbsp;java.lang.Long INGREDIENT_ID_5002</pre>
</li>
</ul>
<a id="RECIPE_ID_6001">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RECIPE_ID_6001</h4>
<pre>public static final&nbsp;java.lang.Long RECIPE_ID_6001</pre>
</li>
</ul>
<a id="RECIPE_ID_6002">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RECIPE_ID_6002</h4>
<pre>public static final&nbsp;java.lang.Long RECIPE_ID_6002</pre>
</li>
</ul>
<a id="RECIPE_ID_6003">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RECIPE_ID_6003</h4>
<pre>public static final&nbsp;java.lang.Long RECIPE_ID_6003</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractEntityServiceTest</h4>
<pre>public&nbsp;AbstractEntityServiceTest()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getRecipe(java.lang.Long,java.lang.String,boolean,java.lang.Long,java.util.Set,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRecipe</h4>
<pre class="methodSignature">protected&nbsp;<a href="../entity/Recipe.html" title="class in com.abn.recipe.recipeservice.entity">Recipe</a>&nbsp;getRecipe&#8203;(java.lang.Long&nbsp;id,
                           java.lang.String&nbsp;name,
                           boolean&nbsp;vegetarian,
                           java.lang.Long&nbsp;servingQuantity,
                           java.util.Set&lt;<a href="../entity/Ingredients.html" title="class in com.abn.recipe.recipeservice.entity">Ingredients</a>&gt;&nbsp;ingredients,
                           java.lang.String&nbsp;instructions)</pre>
</li>
</ul>
<a id="getRecipeDto(java.lang.Long,java.lang.String,boolean,java.lang.Long,java.util.Set,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRecipeDto</h4>
<pre class="methodSignature">protected&nbsp;<a href="../dto/RecipeDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipeDto</a>&nbsp;getRecipeDto&#8203;(java.lang.Long&nbsp;id,
                                 java.lang.String&nbsp;name,
                                 boolean&nbsp;vegetarian,
                                 java.lang.Long&nbsp;servingQuantity,
                                 java.util.Set&lt;<a href="../dto/IngredientsDto.html" title="class in com.abn.recipe.recipeservice.dto">IngredientsDto</a>&gt;&nbsp;ingredients,
                                 java.lang.String&nbsp;instructions)</pre>
</li>
</ul>
<a id="getIngredients(java.lang.Long,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIngredients</h4>
<pre class="methodSignature">protected&nbsp;<a href="../entity/Ingredients.html" title="class in com.abn.recipe.recipeservice.entity">Ingredients</a>&nbsp;getIngredients&#8203;(java.lang.Long&nbsp;id,
                                     java.lang.String&nbsp;name)</pre>
</li>
</ul>
<a id="getIngredientsDto(java.lang.Long,java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getIngredientsDto</h4>
<pre class="methodSignature">protected&nbsp;<a href="../dto/IngredientsDto.html" title="class in com.abn.recipe.recipeservice.dto">IngredientsDto</a>&nbsp;getIngredientsDto&#8203;(java.lang.Long&nbsp;id,
                                           java.lang.String&nbsp;name)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
